HDUpgrade = {
    MOD_NAME = g_currentModName,
    MOD_DIR = g_currentModDirectory,
    MAX_LEVEL = 10,
    DEFAULT_MAX_LEVEL = 10,
    CAPACITY_MULTIPLIER_PER_LEVEL = 1,
    LARGE_BGA_CAPACITY_MULTIPLIER_PER_LEVEL = 15.5 / 9,
    PRODUCTION_MULTIPLIER_PER_LEVEL = 1,
    UPGRADE_PRICE_FACTOR = 0.40,
    MAX_SAFE_AGGREGATE_CAPACITY = 1500000000,
    PRODUCTIVITY_OPTIONS = {50, 80, 100, 120, 150, 200, 300}
}

source(HDUpgrade.MOD_DIR .. "scripts/HDPlaceableUpgrade.lua")
source(HDUpgrade.MOD_DIR .. "scripts/HDPlaceableUpgradeActivatable.lua")
source(HDUpgrade.MOD_DIR .. "scripts/HDBuildingUpgradeEvent.lua")
source(HDUpgrade.MOD_DIR .. "scripts/HDUpgradeSavegame.lua")
source(HDUpgrade.MOD_DIR .. "scripts/HDLevelSyncEvent.lua")
source(HDUpgrade.MOD_DIR .. "scripts/HDProductivityEvent.lua")
source(HDUpgrade.MOD_DIR .. "scripts/HDManagementDialog.lua")
source(HDUpgrade.MOD_DIR .. "scripts/HDProductionMenu.lua")
